/*
 * sk_led.h
 *
 *  Created on: Jul 17, 2023
 *      Author: true
 */

#ifndef CODE_INC_LED_SK_H_
#define CODE_INC_LED_SK_H_



#include <stdint.h>
#include "hk32f030m.h"



#define SK6X_PORT			GPIOD
#define SK6X_PIN			(1 << 4)

#define SK6X_LED_COUNT		5



#ifdef USE_SK_LEDS

void led_init();

void led_set(uint8_t idx, uint8_t r, uint8_t g, uint8_t b);
void led_set_all(uint8_t r, uint8_t g, uint8_t b);

void led_tx();

#else

#define led_init()

#define led_set(i, r, g, b)
#define led_set_all(r, g, b)

#define led_tx()

#endif



#endif /* CODE_INC_LED_SK_H_ */
